=== modified file '.bzrignore'
--- .bzrignore	2010-09-10 01:34:33 +0000
+++ .bzrignore	2010-09-02 00:46:57 +0000
@@ -19,7 +19,3 @@
 *.lo
 *.la
 config.*
-try-*
-/dhry
-dhry-native
-*.tar.gz

=== modified file 'Makefile.am'
--- Makefile.am	2010-09-10 01:34:33 +0000
+++ Makefile.am	2010-09-02 04:28:34 +0000
@@ -1,11 +1,11 @@
-# Top level Makefile for cortex-strings
+# Top level Makefile for cortexcpu
 
 # Used to record the compiler version in the executables
 COMPILER = $(shell $(CC) --version 2>&1 | head -n1)
 
 # The main library
 lib_LTLIBRARIES = \
-	libcortex-strings.la
+	libcortexcpu.la
 
 # Test suite
 check_PROGRAMS = \
@@ -19,8 +19,6 @@
 noinst_PROGRAMS = \
 	dhry \
 	dhry-native \
-	try-none \
-	try-all \
 	try-bionic \
 	try-csl \
 	try-glibc \
@@ -37,7 +35,7 @@
 	libmulti.a
 
 # Main library
-libcortex_strings_la_SOURCES = \
+libcortexcpu_la_SOURCES = \
 	src/neon/memcpy.S \
 	src/neon/memset.S \
 	src/thumb-2/strcmp.c \
@@ -45,18 +43,16 @@
 	src/thumb-2/strlen.c
 
 # Options for the tests
-tests_cflags = -I$(srcdir)/tests $(AM_CFLAGS)
-tests_ldadd = libcortex-strings.la
-tests_test_memcpy_LDADD = $(tests_ldadd)
-tests_test_memcpy_CFLAGS = $(tests_cflags)
-tests_test_memset_LDADD = $(tests_ldadd)
-tests_test_memset_CFLAGS = $(tests_cflags)
-tests_test_strcmp_LDADD = $(tests_ldadd)
-tests_test_strcmp_CFLAGS = $(tests_cflags)
-tests_test_strcpy_LDADD = $(tests_ldadd)
-tests_test_strcpy_CFLAGS = $(tests_cflags)
-tests_test_strlen_LDADD = $(tests_ldadd)
-tests_test_strlen_CFLAGS = $(tests_cflags)
+tests_test_memcpy_LDADD = libcortexcpu.la
+tests_test_memcpy_CFLAGS = -Itests $(AM_CFLAGS)
+tests_test_memset_LDADD = libcortexcpu.la
+tests_test_memset_CFLAGS = -Itests $(AM_CFLAGS)
+tests_test_strcmp_LDADD = libcortexcpu.la
+tests_test_strcmp_CFLAGS = -Itests $(AM_CFLAGS)
+tests_test_strcpy_LDADD = libcortexcpu.la
+tests_test_strcpy_CFLAGS = -Itests $(AM_CFLAGS)
+tests_test_strlen_LDADD = libcortexcpu.la
+tests_test_strlen_CFLAGS = -Itests $(AM_CFLAGS)
 
 TESTS = $(check_PROGRAMS)
 
@@ -70,8 +66,7 @@
 
 libcsl_a_SOURCES = \
 	reference/csl/memcpy.c \
-	reference/csl/memset.c \
-	reference/csl/arm_asm.h
+	reference/csl/memset.c
 
 libglibc_a_SOURCES = \
 	reference/glibc/memmove.S \
@@ -82,8 +77,7 @@
 libnewlib_a_SOURCES = \
 	reference/newlib/strcmp.c \
 	reference/newlib/strlen.c \
-	reference/newlib/strcpy.c \
-	reference/newlib/arm_asm.h
+	reference/newlib/strcpy.c
 
 libplain_a_SOURCES = \
 	reference/plain/memset.c \
@@ -94,15 +88,9 @@
 libmulti_a_SOURCES = \
 	benchmarks/multi/harness.c
 
-libmulti_a_CFLAGS = -DVERSION=\"$(VERSION)\" $(AM_CFLAGS)
+libmulti_a_CFLAGS = -DVERSION=$(VERSION) $(AM_CFLAGS)
 
 # Flags for the benchmark helpers
-try_none_SOURCES =
-try_none_LDFLAGS = -lrt
-try_none_LDADD = libmulti.a
-try_all_SOURCES =
-try_all_LDFLAGS = -lrt
-try_all_LDADD = libmulti.a libcortex-strings.la
 try_bionic_SOURCES =
 try_bionic_LDFLAGS = -lrt
 try_bionic_LDADD = libmulti.a libbionic.a
@@ -122,34 +110,13 @@
 # Good 'ol Dhrystone
 dhry_SOURCES = \
 	benchmarks/dhry/dhry_1.c \
-	benchmarks/dhry/dhry_2.c \
-	benchmarks/dhry/dhry.h
+	benchmarks/dhry/dhry_2.c
 
 dhry_CFLAGS = -Dcompiler="\"$(COMPILER)\"" -Doptions="\"$(CFLAGS)\""
-dhry_LDADD = libcortex-strings.la
+dhry_LDADD = libcortexcpu.la
 
 dhry_native_SOURCES = $(dhry_SOURCES)
 dhry_native_CFLAGS = $(dhry_CFLAGS)
 
-AM_CPPFLAGS = $(if $(filter yes,$(with_neon)),-mfpu=neon)
-AM_CFLAGS = -std=gnu99 -Wall $(AM_CPPFLAGS)
-
-EXTRA_DIST = \
-	tests/hp-timing.h \
-	tests/test-string.h \
-	tests/test-skeleton.c
-
-add_on_dist = add-on-dist
-add_on_dest = $(add_on_dist)/$(PACKAGE)/sysdeps/arm/eabi/arm/$(submachine)
-add_on_dirs = thumb-2 $(submachine) $(if $(filter yes,$(with_neon)),neon)
-add_on_src = \
-	$(wildcard $(add_on_dirs:%=$(srcdir)/src/%/*.c)) \
-	$(wildcard $(add_on_dirs:%=$(srcdir)/src/%/*.S)) \
-	$(wildcard $(add_on_dirs:%=$(srcdir)/src/%/*.h))
-
-add-on:
-	rm -rf $(add_on_dist)
-	mkdir -p $(add_on_dest)
-	cp -f $(add_on_src) $(add_on_dest)
-	python $(srcdir)/scripts/fixup.py GLIBC $(add_on_dest)/*
-	tar cf $(PACKAGE).tar -C $(add_on_dist) .
+AM_CFLAGS = -std=gnu99 -mfpu=neon -Wall
+AM_CPPFLAGS = -mfpu=neon

=== removed file 'NOTES'
--- NOTES	2010-09-07 03:55:51 +0000
+++ NOTES	1970-01-01 00:00:00 +0000
@@ -1,13 +0,0 @@
-= Random notes =
-As at eglibc_2.12.1-0ubuntu1, a good configure line for eglibc is:
-
-CC="gcc-4.4 -fno-stack-protector -U_FORTIFY_SOURCE" \
-            CXX="g++-4.4 -fno-stack-protector -U_FORTIFY_SOURCE" \
-            AUTOCONF=false \
-            configure --host=arm-linux-gnueabi --build=arm-linux-gnueabi \
-            --prefix=$HOME/opt --without-cvs \
-            --enable-add-ons=libidn,ports,nptl,cortex-strings \
-            --enable-profile --without-selinux --enable-stackguard-randomization \
-            --with-cpu=cortex-a8
-
-

=== modified file 'README'
--- README	2010-09-07 03:55:51 +0000
+++ README	2010-09-02 02:26:33 +0000
@@ -10,13 +10,13 @@
 These routines can be used either stand-alone or as a GLIBC add-on.
 
 To use them stand-alone, first configure and then install
-libcortex-strings.so.  To make other applications use this library, either
-add -lcortex-strings to the link command or use LD_PRELOAD to load the
+libcortexcpu.so.  To make other applications use this library, either
+add -lcortexcpu to the link command or use LD_PRELOAD to load the
 library into existing applications.
 
 To use them as a GLIBC add-on, first configure and run `make add-on`
-to generate cortex-strings.tar.  Extract this into the GLIBC source
-directory, enable the add-on using `--enable-add-ons=cortex-strings` and
+to generate cortexcpu.tar.  Extract this into the GLIBC source
+directory, enable the add-on using `--enable-add-ons=cortexcpu` and
 `--with-cpu=cortex-a8`, build GLIBC, and install.
 
 == Contents ==
@@ -42,4 +42,6 @@
 This is an early release that contains Cortex-A8 with NEON focused
 routines.  Most of the implementations have been collected from other
 projects and have a variety of licenses and copyright holders.  Future
-releases will tidy this up.
+releases are intended to tidy this up.
+
+The GLIBC add-on generates a cortex-a8 add-on only.

=== modified file 'benchmarks/dhry/Makefile'
--- benchmarks/dhry/Makefile	2010-09-07 03:47:35 +0000
+++ benchmarks/dhry/Makefile	2010-08-30 23:37:42 +0000
@@ -2,7 +2,7 @@
 #
 
 CC = gcc
-OPT = -O3 -g
+OPT = -O3
 CFLAGS += $(OPT)
 REF = ../../src/reference
 

=== modified file 'benchmarks/multi/harness.c'
--- benchmarks/multi/harness.c	2010-09-07 03:47:35 +0000
+++ benchmarks/multi/harness.c	2010-09-02 03:49:37 +0000
@@ -19,9 +19,6 @@
 #define VERSION "(unknown version)"
 #endif
 
-/** Make sure a function is called by using the return value */
-#define SPOIL(_x)  volatile int x = (int)(_x); (void)x
-
 /** Type of functions that can be tested */
 typedef void (*stub_t)(void *dest, void *src, size_t n);
 
@@ -51,57 +48,56 @@
 /** Stub that does nothing.  Used for calibrating */
 static void xbounce(void *dest, void *src, size_t n)
 {
-  SPOIL(0);
 }
 
 /** Stub that calls memcpy */
 static void xmemcpy(void *dest, void *src, size_t n)
 {
-  SPOIL(memcpy(dest, src, n));
+  memcpy(dest, src, n);
 }
 
 /** Stub that calls memset */
 static void xmemset(void *dest, void *src, size_t n)
 {
-  SPOIL(memset(dest, 0, n));
+  memset(dest, 0, n);
 }
 
 /** Stub that calls strcpy */
 static void xstrcpy(void *dest, void *src, size_t n)
 {
-  SPOIL(strcpy(dest, src));
+  strcpy(dest, src);
 }
 
 /** Stub that calls strlen */
 static void xstrlen(void *dest, void *src, size_t n)
 {
-  SPOIL(strlen(dest));
+  (void)strlen(dest);
 }
 
 /** Stub that calls strcmp */
 static void xstrcmp(void *dest, void *src, size_t n)
 {
-  SPOIL(strcmp(dest, src));
+  (void)strcmp(dest, src);
 }
 
 /** All functions that can be tested */
 static const struct test tests[] =
-  {
-    { "memcpy", xmemcpy },
-    { "memset", xmemset },
-    { "strcpy", xstrcpy },
-    { "strlen", xstrlen },
-    { "strcmp", xstrcmp },
-    { "bounce", xbounce },
-    { NULL }
-  };
+{
+  { "memcpy", xmemcpy },
+  { "memset", xmemset },
+  { "strcpy", xstrcpy },
+  { "strlen", xstrlen },
+  { "strcmp", xstrcmp },
+  { "bounce", xbounce },
+  { NULL }
+};
 
 /** Show basic usage */
 static void usage(const char* name)
 {
   printf("%s %s: run a string related benchmark.\n"
-         "usage: %s [-c block-size] [-l loop-count] [-f] [-t test-name]\n"
-         , name, VERSION, name);
+	 "usage: %s [-c block-size] [-l loop-count] [-f] [-t test-name]\n"
+	 , name, VERSION, name);
 
   printf("Tests:");
 
@@ -126,9 +122,9 @@
     {
       for (const struct test *p = tests; p->name != NULL; p++)
 	{
-          if (strcmp(p->name, name) == 0)
+	  if (strcmp(p->name, name) == 0)
 	    {
-              return p;
+	      return p;
 	    }
 	}
     }
@@ -170,23 +166,23 @@
       switch (opt)
 	{
 	case 'c':
-          count = atoi(optarg);
-          break;
+	  count = atoi(optarg);
+	  break;
 	case 'l':
-          loops = atoi(optarg);
-          break;
+	  loops = atoi(optarg);
+	  break;
 	case 'f':
-          flush = 1;
-          break;
+	  flush = 1;
+	  break;
 	case 't':
-          name = strdup(optarg);
-          break;
+	  name = strdup(optarg);
+	  break;
 	case 'h':
-          usage(argv[0]);
-          break;
+	  usage(argv[0]);
+	  break;
 	default:
-          usage(argv[0]);
-          break;
+	  usage(argv[0]);
+	  break;
 	}
     }
 
@@ -215,7 +211,7 @@
 
       if (flush != 0)
 	{
-          empty(dest);
+	  empty(dest);
 	}
     }
 

=== modified file 'configure.ac'
--- configure.ac	2010-09-07 03:55:51 +0000
+++ configure.ac	2010-09-02 03:49:37 +0000
@@ -1,29 +1,7 @@
-AC_INIT(cortex-strings, 0.1)
+AC_INIT(cortexcpu, 0.1)
 AM_INIT_AUTOMAKE(foreign subdir-objects color-tests)
 AC_CONFIG_HEADERS([config.h])
 AC_CONFIG_FILES(Makefile)
 AC_PROG_LIBTOOL
 AM_PROG_AS
-
-AC_ARG_WITH([cpu],
-	    AS_HELP_STRING([--with-cpu=CPU],
-                           [select code for CPU variant @<:@default=cortex-a8@:>@]]),
-	    [dnl
-  case "$withval" in
-  yes|'') AC_MSG_ERROR([--with-cpu requires an argument]) ;;
-  no) ;;
-  *) submachine="$withval" ;;
-  esac
-],
-[submachine=cortex-a8])
-
-AC_SUBST(submachine)
-
-AC_ARG_WITH([neon],
-            AC_HELP_STRING([--with-neon],
-                           [include NEON specific routines @<:@default=yes@:>@]),
-	    [with_neon=$withval],
-	    [with_neon=yes])
-AC_SUBST(with_neon)
-
 AC_OUTPUT

=== removed directory 'scripts'
=== removed file 'scripts/fixup.py'
--- scripts/fixup.py	2010-09-06 03:41:48 +0000
+++ scripts/fixup.py	1970-01-01 00:00:00 +0000
@@ -1,27 +0,0 @@
-"""Simple script that enables target specific blocks based on the first argument.
-
-Matches comment blocks like this:
-
-/* For Foo: abc
-def
-*/
-
-and de-comments them giving:
-abc
-def
-"""
-import re
-import sys
-
-def main():
-    key = sys.argv[1]
-    expr = re.compile(r'/\* For %s:\s([^*]+)\*/' % key, re.M)
-
-    for arg in sys.argv[2:]:
-        with open(arg) as f:
-            body = f.read()
-        with open(arg, 'w') as f:
-            f.write(expr.sub(r'\1', body))
-
-if __name__ == '__main__':
-    main()

=== modified file 'src/neon/memcpy.S'
--- src/neon/memcpy.S	2010-09-06 03:41:48 +0000
+++ src/neon/memcpy.S	2010-09-02 00:46:57 +0000
@@ -26,8 +26,6 @@
  * SUCH DAMAGE.
  */
 
-/* For GLIBC: #include <sysdep.h> */
-
         .text
         .fpu    neon
 
@@ -142,5 +140,3 @@
         ldmfd       sp!, {r0, lr}
         bx          lr
         .fnend
-
-/* For GLIBC: libc_hidden_builtin_def (memcpy) */

=== modified file 'src/neon/memset.S'
--- src/neon/memset.S	2010-09-06 03:41:48 +0000
+++ src/neon/memset.S	2010-09-02 00:46:57 +0000
@@ -26,8 +26,6 @@
  * SUCH DAMAGE.
  */
 
-/* For GLIBC: #include <sysdep.h> */
-
         .text
 @	.syntax unified
 @	.thumb
@@ -119,5 +117,3 @@
         ldmfd       sp!, {r0}
         bx          lr
         .fnend
-
-/* For GLIBC: libc_hidden_builtin_def (memset) */

=== modified file 'src/thumb-2/strcmp.c'
--- src/thumb-2/strcmp.c	2010-09-06 03:41:48 +0000
+++ src/thumb-2/strcmp.c	2010-09-02 00:46:57 +0000
@@ -26,13 +26,6 @@
  * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-/* For GLIBC:
-#include <string.h>
-#include <memcopy.h>
-
-#undef strcmp
-*/
-
 #ifdef __ARMEB__
 #define SHFT2LSB "lsl"
 #define SHFT2MSB "lsr"
@@ -446,5 +439,3 @@
 }
 
 #endif
-
-/* For GLIBC: libc_hidden_builtin_def (strcmp) */

=== modified file 'src/thumb-2/strcpy.c'
--- src/thumb-2/strcpy.c	2010-09-06 03:41:48 +0000
+++ src/thumb-2/strcpy.c	2010-09-02 00:46:57 +0000
@@ -26,13 +26,6 @@
  * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
-/* For GLIBC:
-#include <string.h>
-#include <memcopy.h>
-
-#undef strcmp
-*/
-
 #ifdef __thumb2__
 #define magic1(REG) "#0x01010101"
 #define magic2(REG) "#0x80808080"
@@ -170,4 +163,3 @@
 #endif
        );
 }
-/* For GLIBC: libc_hidden_builtin_def (strcpy) */

=== modified file 'src/thumb-2/strlen.c'
--- src/thumb-2/strlen.c	2010-09-06 03:41:48 +0000
+++ src/thumb-2/strlen.c	2010-09-02 00:46:57 +0000
@@ -29,13 +29,6 @@
 #include <limits.h>
 #include <stddef.h>
 
-/* For GLIBC:
-#include <string.h>
-#include <memcopy.h>
-
-#undef strcmp
-*/
-
 #if defined (__OPTIMIZE_SIZE__) || defined (PREFER_SIZE_OVER_SPEED) || \
   (defined (__thumb__) && !defined (__thumb2__))
 
@@ -183,4 +176,3 @@
        "BX LR");
 }
 #endif
-/* For GLIBC: libc_hidden_builtin_def (strlen) */

